org.apache.ode.bpel.pmapi

## Interface TScopeInfo.CorrelationSets

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TScopeInfoImpl.CorrelationSetsImpl
  Enclosing interface:
    TScopeInfo

      public static interface TScopeInfo.CorrelationSets
      extends org.apache.xmlbeans.XmlObject

  An XML correlation-sets(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TScopeInfo.CorrelationSets.CorrelationSet` An XML correlation-set(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
    `static class` | `TScopeInfo.CorrelationSets.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TScopeInfo.CorrelationSets.CorrelationSet` | `addNewCorrelationSet()` Appends and returns a new empty value (as xml) as the last "correlation-set" element
    `TScopeInfo.CorrelationSets.CorrelationSet[]` | `getCorrelationSetArray()` Deprecated.
    `TScopeInfo.CorrelationSets.CorrelationSet` | `getCorrelationSetArray(int i)` Gets ith "correlation-set" element
    `java.util.List<TScopeInfo.CorrelationSets.CorrelationSet>` | `getCorrelationSetList()` Gets a List of "correlation-set" elements
    `TScopeInfo.CorrelationSets.CorrelationSet` | `insertNewCorrelationSet(int i)` Inserts and returns a new empty value (as xml) as the ith "correlation-set" element
    `void` | `removeCorrelationSet(int i)` Removes the ith "correlation-set" element
    `void` | `setCorrelationSetArray(int i, TScopeInfo.CorrelationSets.CorrelationSet correlationSet)` Sets ith "correlation-set" element
    `void` | `setCorrelationSetArray(TScopeInfo.CorrelationSets.CorrelationSet[] correlationSetArray)` Sets array of all "correlation-set" element
    `int` | `sizeOfCorrelationSetArray()` Returns number of "correlation-set" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getCorrelationSetList

          java.util.List<TScopeInfo.CorrelationSets.CorrelationSet> getCorrelationSetList()

      Gets a List of "correlation-set" elements

    - #### getCorrelationSetArray

          @Deprecated
          TScopeInfo.CorrelationSets.CorrelationSet[] getCorrelationSetArray()

      Deprecated.
      Gets array of all "correlation-set" elements

    - #### getCorrelationSetArray

          TScopeInfo.CorrelationSets.CorrelationSet getCorrelationSetArray(int i)

      Gets ith "correlation-set" element

    - #### sizeOfCorrelationSetArray

          int sizeOfCorrelationSetArray()

      Returns number of "correlation-set" element

    - #### setCorrelationSetArray

          void setCorrelationSetArray(TScopeInfo.CorrelationSets.CorrelationSet[] correlationSetArray)

      Sets array of all "correlation-set" element

    - #### setCorrelationSetArray

          void setCorrelationSetArray(int i,
                                    TScopeInfo.CorrelationSets.CorrelationSet correlationSet)

      Sets ith "correlation-set" element

    - #### insertNewCorrelationSet

          TScopeInfo.CorrelationSets.CorrelationSet insertNewCorrelationSet(int i)

      Inserts and returns a new empty value (as xml) as the ith "correlation-set" element

    - #### addNewCorrelationSet

          TScopeInfo.CorrelationSets.CorrelationSet addNewCorrelationSet()

      Appends and returns a new empty value (as xml) as the last "correlation-set" element

    - #### removeCorrelationSet

          void removeCorrelationSet(int i)

      Removes the ith "correlation-set" element